﻿using Business;
using Modèle;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace WpfApp1
{
    /// <summary>
    /// Logique d'interaction pour ValiderSubmit.xaml
    /// </summary>
    /// 

    public partial class ValiderSubmit : Window
    {

        /// <summary>
        /// Manager lié à celui de l'app
        /// </summary>
        public Manager Mgr => (Application.Current as App).LeManager;

        /// <summary>
        /// Page qui permet aux Experts de voir tous les requins ajoutés et modifiés
        /// </summary>
        public ValiderSubmit()
        {
            InitializeComponent();

            Mgr.RequinsEdit.CollectionChanged += RequinsEdit_CollectionChanged; //Lie l'événement RequinsEdit_CollectionChanged à la ObservableCollection RequinsEdit
            Mgr.RequinsAdd.CollectionChanged += RequinsAdd_CollectionChanged; //Lie l'événement RequinsEdit_CollectionChanged à la ObservableCollection RequinsAdd

            ChargerUCAdd();
            ChargerUCEdit();

        }

        /// <summary>
        /// Evénement qui se déclenche quand l'ObservableCollection RequinsAdd change puis met à jour l'affichage
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void RequinsAdd_CollectionChanged(object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e)
        {
            laListeAdd.Items.Clear();
            ChargerUCAdd();
        }

        /// <summary>
        /// Evénement qui se déclenche quand l'ObservableCollection RequinsEdit change puis met à jour l'affichage
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void RequinsEdit_CollectionChanged(object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e)
        {
            laListeEdit.Items.Clear();
            ChargerUCEdit();
        }

        private void exit_Click(object sender, RoutedEventArgs e)
        {
            Close();
        }

        /// <summary>
        /// Méthode qui permet de remplir la listBox des requins ajoutés
        /// </summary>
        private void ChargerUCAdd()
        {
            foreach (Requin req in Mgr.RequinsAdd)
            {
                laListeAdd.Items.Add(new UserControlRequin { requin = req, type=UCrequinType.add });
            }
        }

        /// <summary>
        /// Méthode qui permet de remplir la listBox des requins modifiés
        /// </summary>
        private void ChargerUCEdit()
        {
            foreach (Requin req in Mgr.RequinsEdit)
            {
                laListeEdit.Items.Add(new UserControlRequin { requin = req, type = UCrequinType.edit });
            }
        }

        /// <summary>
        /// Evénement qui permet d'ouvrir la page AddAShark
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void addShark_Click(object sender, RoutedEventArgs e)
        {
            var AddSharkWindow = new AddAShark();
            AddSharkWindow.ShowDialog();
        }
    }
}
